from formes import *
from couleur import *
    
def etoile_mer(longueur,col):
    """dessine une etoile de mer
    longueur permet de faire varier sa longueur, 
    col est la couleur de l'étoile"""
    etoile(longueur,col,60)
    right(30)
    forward(longueur*1.2)
    cercle(2,"black")
    left(15)
    forward(longueur*0.6)
    cercle(2,"black")
    descendre(longueur*0.3)
    backward(longueur*0.4)
    bouche()
    backward(10)
    monter(longueur*0.3)
    backward(longueur*0.2)
    right(15)
    backward(longueur*1.2)
    left(30)
    
def crabe(col):
    demi_cercle_haut(50,"red")
    forward(40)
    monter(30)
    cercle(2,"black")
    forward(20)
    cercle(2,"black")
    descendre(8)
    backward(15)
    bouche()
    monter(8)
    forward(32)
    down()
    pencolor(col)
    pensize(4)
    left(60)
    forward(30)
    pensize(1)
    up()
    right(10)
    demi_cercle_bas(20,col)
    left(20)
    demi_cercle_haut(20,col)
    right(10)
    down()
    backward(30)
    right(60)
    pensize(1)
    up()
    backward(72)
    right(180)
    down()
    pencolor(col)
    pensize(4)
    right(60)
    forward(30)
    pensize(1)
    up()
    right(10)
    demi_cercle_bas(20,col)
    left(20)
    demi_cercle_haut(20,col)
    right(10)
    backward(30)
    right(120)
    descendre(30)
    backward(15)

def meduse(rayon,col1,col2):
    """ dessine une méduse dont le rayon extérieur est 2 fois rayon,
    la couleur extéieure est col1 et la couleur intérieure est col2"""
    pencolor(col1)
    for i in range(4):
        right(110)
        down()
        pensize(3)
        circle(30,60)
        circle(-40,40)
        forward(10)
        circle(-40,40)
        #circle(60,65)
        #forward(17)
        up()
        #backward(17)
        #circle(60,-65)
        circle(-40,-40)
        backward(10)
        circle(-40,-40)
        circle(30,-60)
        pensize(1)
        left(110)
        forward(15)
    backward(88)
    demi_cercle_haut(rayon*2,col1)
    forward(rayon)
    demi_cercle_haut(rayon,col2)
    forward(17)
    monter(13)
    cercle(2,"black")
    forward(15)
    cercle(2,"black")
    descendre(4)
    backward(12)
    bouche()
    descendre(9)
    backward(54)
    

def poisson1(longueur,col,colqueue):
    """dessine un poisson dont la forme est triangulaire ainsi que sa queue
    longueur permet de faire varier sa longueur, col est la couleur du corps 
    colqueue est la couleur de la queue"""
    triangledroit(2*longueur,colqueue)
    forward(3*longueur)
    triangledroit(4*longueur,col)
    forward(4*longueur)
    monter(3)
    cercle(2,"black")
    descendre(3)
    forward(longueur)
    down()
    pensize(2)
    forward(1.65*longueur)
    pensize(1)
    up()
    backward(9.61*longueur)

def poisson2(longueur,col,colqueue):
    """dessine un poisson dont la forme est triangulaire plus étroite que  
    celle de poisson1
    longueur permet de faire varier sa longueur, col est la couleur du corps 
    colqueue est la couleur de la queue"""
    triangledroit(2*longueur,colqueue)
    forward(3*longueur)
    triangledroit2(4*longueur,col)
    forward(2*longueur)
    monter(7)
    cercle(2,"black")
    descendre(7)
    forward(longueur)
    down()
    pensize(2)
    forward(1.65*longueur)
    pensize(1)
    up()
    backward(9.61*longueur)

def poisson2inv(longueur,col,colqueue):
    """dessine un poisson orienté vers la gauche dont la forme est 
    triangulaire plus étroite que celle de poisson1 
    longueur permet de faire varier sa longueur, col est la couleur du corps 
    colqueue est la couleur de la queue"""
    left(180)
    triangledroit(2*longueur,colqueue)
    forward(3*longueur)
    triangledroit2(4*longueur,col)
    forward(2*longueur)
    descendre(7)
    cercle(2,"black")
    monter(7)
    forward(longueur)
    down()
    pensize(2)
    forward(1.55*longueur)
    pensize(1)
    up()
    left(180)

def poisson3(longueur,col,colqueue):
    triangledroitarrondi(longueur,colqueue)
    demi_cercle_bas(longueur*2,col)
    descendre(longueur)
    forward(2*longueur)
    triangledroitarrondi(0.8*longueur,colqueue)
    forward(longueur)
    monter(5)
    cercle(2,"black")
    descendre(5)
    forward(0.2*longueur)
    down()
    pensize(2)
    forward(0.55*longueur)
    pensize(1)
    up()
    monter(longueur)
    backward(3.8*longueur)

def poisson4(longueur,col,colqueue):
    """dessine un poisson dont la forme est triangulaire un peu arrondie
    longueur permet de faire varier sa longueur, col est la couleur du corps 
    colqueue est la couleur de la queue"""
    triangledroitarrondi2(2*longueur,colqueue)
    forward(3*longueur)
    triangledroitarrondi2(4*longueur,col)
    forward(4*longueur)
    monter(3)
    cercle(2,"black")
    descendre(3)
    forward(longueur)
    down()
    pensize(2)
    forward(1.65*longueur)
    pensize(1)
    up()
    backward(9.61*longueur)

def poisson5(longueur,col,colqueue):
    """dessine un poisson dont la forme est arrondie et très allongée
    longueur permet de faire varier sa longueur, col est la couleur du corps 
    colqueue est la couleur de la queue"""
    allonge_arrondi(longueur*4,col)
    backward(longueur*1.2)
    triangledroitarrondi2(longueur,colqueue)
    forward(longueur*4)
    triangledroitarrondi(0.8*longueur,colqueue)
    forward(longueur*2)
    monter(5)
    cercle(2,"black")
    descendre(5)
    forward(0.7*longueur)
    down()
    pensize(2)
    forward(0.55*longueur)
    pensize(1)
    up()
    backward(7.3*longueur)

def branche(coltige,colfeuille,dirbranche,dirfeuille):
    """ dessine un beau de plante
    coltige est la couleur de la tige
    colfeuille est la couleur de la feuille
    dirbranche indique si la tiage tourne vers la droite ou la gauche
    dirfeuille est sur la droite, la gauche ou vers le haut
    """
    pencolor(coltige)
    down()
    pensize(4)
    if dirbranche == "gauche" :
        circle(200,5)
    else :
        circle(-200,5)
    pensize(1)
    pencolor(colfeuille)
    if dirfeuille == "gauche" :
        left(60)
        allonge_arrondi(30,colfeuille)
        right(60)
    elif dirfeuille == "droite" :
        right(60)
        allonge_arrondi(30,colfeuille)
        left(60)
    else :
        allonge_arrondi(30,colfeuille)
        
